DIFF(1)

NAAM
diff - vergelijk bestanden regel voor regel

SAMENVATTING
diff [OPTIE]... BESTANDEN

BESCHRIJVING
Bestanden regel-voor-regel vergelijken.

Een verplicht argument bij een lange optie is ook verplicht voor de korte optie.

--normal
    een gewone diff produceren (standaard)

-q, --brief
    alleen aangeven of bestanden verschillen

-s, --report-identical-files
    vermelden of twee bestanden hetzelfde zijn

-c, -C AANTAL, --context[=AANTAL]
    dit AANTAL regels (standaard 3) van gekopieerde context tonen

-u, -U AANTAL, --unified[=AANTAL]
    dit AANTAL regels (standaard 3) van geünificeerde context tonen

-e, --ed
    een ed-script produceren

-n, --rcs
    een diff in RCS-opmaak produceren

-y, --side-by-side
    het resultaat weergeven in twee kolommen

-W, --width=AANTAL
    maximaal dit AANTAL kolommen tonen (standaard 130)

--left-column
    bij gelijke regels alleen de linkerkolom tonen

--suppress-common-lines
    de gelijke regels onderdrukken

-p, --show-c-function
    vermelden in welke C-functie elke wijziging is

-F, --show-function-line=RE
    recentste regel overeenkomend met RE tonen

--label LABEL
    dit LABEL gebruiken in plaats van bestandsnaam plus tijdsstempel (mag herhaald worden)

-t, --expand-tabs
    tabs uitschrijven naar spaties in uitvoer

-T, --initial-tab
    tabs uitlijnen door invoegen van tab aan het begin

--tabsize=AANTAL
    tab-stops op elke AANTAL posities (standaard 8)

--suppress-blank-empty
    spatie of tab onderdrukken voor lege uitregels

-l, --paginate
    de uitvoer door 'pr' halen om deze in pagina's in te delen

-r, --recursive
    recursief elke gevonden submap vergelijken

--no-dereference
    symbolische koppelingen niet volgen

-N, --new-file
    afwezige bestanden als leeg behandelen

--unidirectional-new-file
    alleen bestanden die afwezig zijn in de eerste map als leeg behandelen

--ignore-file-name-case
    verschil tussen hoofd- en kleine letters negeren bij vergelijken van bestandsnamen

--no-ignore-file-name-case
    onderscheid maken tussen hoofd- en kleine letters bij vergelijken van bestandsnamen

-x, --exclude=PATROON
    bestanden uitsluiten als ze overeenkomen met PATROON

-X, --exclude-from=BESTAND
    bestanden weglaten die overeenkomen met een patroon in BESTAND

-S, --starting-file=BESTAND
    beginnen met BESTAND bij vergelijken van mappen

--from-file=BESTAND1
    BESTAND1 met alle argumenten vergelijken; BESTAND1 mag een map zijn

--to-file=BESTAND2
    alle argumenten met BESTAND2 vergelijken; BESTAND2 mag een map zijn

-i, --ignore-case
    verschil tussen hoofd- en kleine letters negeren in bestandsinhoud

-E, --ignore-tab-expansion
    omzettingen van tabs in spaties negeren

-Z, --ignore-trailing-space
    witruimte aan einde van regel negeren

-b, --ignore-space-change
    wijzigingen in hoeveelheid witruimte negeren

-w, --ignore-all-space
    alle witruimte negeren

-B, --ignore-blank-lines
    wijzigingen waarvan alle regels leeg zijn negeren

-I, --ignore-matching-lines=RE
    wijzigingen waarvan alle regels overeenkomen met reguliere expressie RE negeren

-a, --text
    alle bestanden als tekst behandelen

--strip-trailing-cr
    Enter-tekens (CR's) aan einde van regels weglaten

-D, --ifdef=NAAM
    samengevoegd bestand tonen om verschillen in '#ifdef NAAM' te laten zien

--GSOORT-group-format=GOPMAAK
    iets dergelijks, maar dan invoergroepen van soort GSOORT opmaken met GOPMAAK

--line-format=LOPMAAK
    iets dergelijks, maar dan alle invoerregels opmaken met LOPMAAK

--LSOORT-line-format=LOPMAAK
    iets dergelijks, maar dan invoerregels van "" soort LSOORT opmaken met LOPMAAK

    Deze opmaakopties bieden een fijnafregeling van de uitvoer aan

    een generalisatie van de optie -D/--ifdef.

LSOORT is 'old' (oud), 'new' (nieuw), of 'unchanged' (ongewijzigd).
    GSOORT is LSOORT of 'changed' (gewijzigd).

    GOPMAAK mag bevatten:

%<  regels van BESTAND1

%>  regels van BESTAND2

%=  regels overeenkomend in BESTAND1 en BESTAND2

%[-][BREEDTE][.[PREC]]{doxX}LETTER
    printf-stijl specificatie voor LETTER

    LETTERs zijn als volgt voor nieuwe groep, kleine letter voor oude groep:

F   eerste regelnummer

L   laatste regelnummer

N   het aantal regels (L-F+1)

E   F-1

M   L+1

%(A=B?Z:V)
    als A gelijk is aan B, dan Z anders V

    LOPMAAK mag bevatten:

%L  inhoud van regel

%l  inhoud van regel, behalve eventuele witregel aan einde

%[-][BREEDTE][.[PREC]]{doxX}n
    specificatie in printf-stijl voor invoerregelnummer

    GOPMAAK en LOPMAAK mogen bevatten:

%%  %

%c'C'
    het enkele teken C

%c'\OOO'
    het teken met octaalcode OOO

C   het teken C (andere tekens representeren zichzelf)

-d, --minimal
    moeite doen om een kleinere verzameling wijzigingen te vinden

--horizon-lines=AANTAL
    dit AANTAL regels met identieke kop en staart bij vergelijkingsproces meenemen

--speed-large-files
    aannemen dat bestanden groot zijn met veel verspreide kleine wijzigingen

--color[=WANNEER]
    de uitvoer kleuren; WANNEER is 'always' (altijd), 'never' (nooit), of 'auto'; standaard --color betekent --color='auto'

--palette=PALET
    te gebruiken kleuren bij --color; PALET is een lijst van terminfo-capabilities gescheiden door dubbelepunten

--help
    toon de helptekst en stop

-v, --version
    toon programmaversie en stop

BESTANDEN is 'BESTAND1 BESTAND2' of 'MAP1 MAP2' of 'MAP BESTAND...' of 'BESTAND... MAP'. Als --from-file of --to-file gegeven is, mag BESTANDEN van alles zijn. Als een BESTAND '-' is, wordt er van standaardinvoer gelezen.

AUTEUR
Geschreven door Paul Eggert, Mike Haertel, David Hayes, Richard Stallman en Len Tower.

RAPPORTEREN VAN BUGS
Rapporteer gebreken in het programma aan bug-diffutils@gnu.org; meld fouten in de vertaling aan <vertaling@vrijschrift.org>.
Webpagina van GNU diffutils: <http://www.gnu.org/software/diffutils/>
Algemene hulp bij gebruik van GNU-software: <https://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2023 Free Software Foundation, Inc. Licentie GPLv3+: GNU GPL versie 3 of later <https://gnu.org/licenses/gpl.html>.
Dit is vrije software: u mag het vrijelijk wijzigen en verder verspreiden. Deze software kent GEEN GARANTIE, voor zover de wet dit toestaat.

ZIE OOK
wdiff(1), cmp(1), diff3(1), sdiff(1), patch(1)

De volledige documentatie voor diff wordt bijgehouden als een Texinfo-handleiding. Als de programma´s info en diff correct op uw systeem zijn geïnstalleerd, geeft de opdracht

    info diff

toegang tot de volledige handleiding.

VERTALING
De Nederlandse vertaling van deze handleiding is geschreven door Jos Boersema <joshb@xs4all.nl>, Mario Blättermann <mario.blaettermann@gmail.com> en Luc Castermans <luc.castermans@gmail.com>

Deze vertaling is vrije documentatie; lees de GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) of later over de Copyright-voorwaarden. Er is geen AANSPRAKELIJKHEID.

Indien U fouten in de vertaling van deze handleiding zou vinden, stuur een e-mail naar debian-l10n-dutch@lists.debian.org.